<?php

if ( ! defined( 'IN_IPB' ) )
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded 'admin.php'.";
	exit();
}

class setting_thanks
{
	/**
	* Global IPSCLASS
	* @var	object
	*/
	var $ipsclass;
	
	/*-------------------------------------------------------------------------*/
	// Pre-parse
	/*-------------------------------------------------------------------------*/
	
	/**
	* Allow one to modify the values before the setting is parsed
	* This function is passed an array of settings of which the index
	* of the array is the configuration ID.
	* array( index => array(
	* 						  conf_id
	* 						  conf_title
	* 						  conf_description
	* 						  conf_type
	* 						  conf_key
	* 						  conf_value
	* 						  conf_default
	* 						  conf_extra
	* 						  conf_evalphp ) );
    *
	*
	* @param	array  Settings
	* @param    array  Settings
	*
	*/
	function settings_pre_parse( $settings=array() ) 
	{
		
		//-----------------------------------------
		// Return
		//-----------------------------------------
	
		return $settings;
	}
	
	/*-------------------------------------------------------------------------*/
	// Post-parse
	/*-------------------------------------------------------------------------*/
	
	/**
	* Allow one to modify the values just before being saved to the DB
	* If an error occurs, please set the relevant index's '_error' flag.
	*
	*
	* For example:
	* if ( ! $true )
	* {
	*	$settings[ $conf_id ]['_error'] = 'Not true!'
	* }
	* This will then show the form again with the error in the relevant
	* setting box.
	*
	* The user entered value for the key is held in $settings[ $conf_id ]['_value']
	*
	* This function is passed an array of settings of which the index
	* of the array is the configuration ID.
	* array( index => array(
	* 						  conf_id
	* 						  conf_title
	* 						  conf_description
	* 						  conf_type
	* 						  conf_key
	* 						  conf_value
	* 						  conf_default
	* 						  conf_extra
	* 						  _error
	*						  _value ) );
    *
	*
	* @param	array  Settings
	* @param    array  Settings
	*
	*/
	function settings_post_parse( $settings=array() ) 
	{
		//-----------------------------------------
		// Check 'em
		//-----------------------------------------
		
		$how_many = 0;
		
		foreach( $settings as $id => $data )
		{
			//-----------------------------------------
			// .      
			//-----------------------------------------
					
			if ($data['conf_key'] == 'thanks_mod_enable' OR $data['conf_key'] == 'thanks_top_enable')
			{
				$what = ($data['_value'] == 0) ? 0 : 1;
				
				if($what == 0)
				{
					$this->ipsclass->DB->do_update( 'components', array('com_enabled' => 0), "com_section='thanks' AND com_filename='thanks'" );

					$this->ipsclass->cache['components'] = array();
					$this->ipsclass->DB->simple_construct( array( 'select' => 'com_id,com_enabled,com_section,com_filename,com_url_uri,com_url_title,com_position',
																  'from'   => 'components',
																  'where'  => 'com_enabled=1',
																  'order'  => 'com_position ASC' ) );
					$this->ipsclass->DB->simple_exec();
					while ( $r = $this->ipsclass->DB->fetch_row() )
					{
						$this->ipsclass->cache['components'][] = $r;
					}
					$this->ipsclass->update_cache( array( 'name' => 'components', 'array' => 1, 'deletefirst' => 1 ) );
					
					//  .    :)
					break;
				}
				else
				{
					$how_many++;
				}
			}
			
			if($how_many >= 2)
			{
					$this->ipsclass->DB->do_update( 'components', array('com_enabled' => 1), "com_section='thanks' AND com_filename='thanks'" );

					$this->ipsclass->cache['components'] = array();
					$this->ipsclass->DB->simple_construct( array( 'select' => 'com_id,com_enabled,com_section,com_filename,com_url_uri,com_url_title,com_position',
																  'from'   => 'components',
																  'where'  => 'com_enabled=1',
																  'order'  => 'com_position ASC' ) );
					$this->ipsclass->DB->simple_exec();
					while ( $r = $this->ipsclass->DB->fetch_row() )
					{
						$this->ipsclass->cache['components'][] = $r;
					}
					$this->ipsclass->update_cache( array( 'name' => 'components', 'array' => 1, 'deletefirst' => 1 ) );
					
					//  .    :)
					break;
			}
			
		}
		
		//-----------------------------------------
		// Return
		//-----------------------------------------
		
		return $settings;
	}
	
}


?>